ENH: add file

This commit is contained in:
Bill Hoffman 2006-05-04 22:58:49 -04:00
parent 6661d55bcc
commit 68bac14403
1 changed files with 61 additions and 61 deletions

View File

@ -1,61 +1,61 @@
#!/bin/sh #!/bin/sh
echo "remove and create working directory ~/CMakeReleaseDirectory" echo "remove and create working directory ~/CMakeReleaseDirectory"
rm -rf ~/CMakeReleaseDirectory rm -rf ~/CMakeReleaseDirectory
mkdir ~/CMakeReleaseDirectory mkdir ~/CMakeReleaseDirectory
check_exit_value() check_exit_value()
{ {
VALUE="$1" VALUE="$1"
if [ "$VALUE" != "0" ]; then if [ "$VALUE" != "0" ]; then
echo "error in $2" echo "error in $2"
exit 1 exit 1
fi fi
} }
if [ ! -z "@USER_MAKE_RULE_FILE_CONTENTS@" ]; then if [ ! -z "@USER_MAKE_RULE_FILE_CONTENTS@" ]; then
echo "@USER_MAKE_RULE_FILE_CONTENTS@" > "@USER_MAKE_RULE_FILE@" echo "@USER_MAKE_RULE_FILE_CONTENTS@" > "@USER_MAKE_RULE_FILE@"
check_exit_value $? "Create User Rule file" || exit 1 check_exit_value $? "Create User Rule file" || exit 1
fi fi
echo "Create a directory to build in" echo "Create a directory to build in"
rm -rf ~/CMakeReleaseDirectory/@CMAKE_VERSION@-build rm -rf ~/CMakeReleaseDirectory/@CMAKE_VERSION@-build
check_exit_value $? "Remove build tree" || exit 1 check_exit_value $? "Remove build tree" || exit 1
mkdir ~/CMakeReleaseDirectory/@CMAKE_VERSION@-build mkdir ~/CMakeReleaseDirectory/@CMAKE_VERSION@-build
check_exit_value $? "Create build directory" || exit 1 check_exit_value $? "Create build directory" || exit 1
# make sure directory was created # make sure directory was created
if [ ! -d ~/CMakeReleaseDirectory/@CMAKE_VERSION@-build ]; then if [ ! -d ~/CMakeReleaseDirectory/@CMAKE_VERSION@-build ]; then
echo "Could not create ~/CMakeReleaseDirectory/@CMAKE_VERSION@-build" echo "Could not create ~/CMakeReleaseDirectory/@CMAKE_VERSION@-build"
exit -1 exit -1
fi fi
echo "Create initial cache" echo "Create initial cache"
echo "@INITIAL_CACHE@" > ~/CMakeReleaseDirectory/${CMAKE_VERSION}-build/CMakeCache.txt echo "@INITIAL_CACHE@" > ~/CMakeReleaseDirectory/${CMAKE_VERSION}-build/CMakeCache.txt
check_exit_value $? "Create initial cache" || exit 1 check_exit_value $? "Create initial cache" || exit 1
#echo "Login into cvs." #echo "Login into cvs."
#echo "cmake" | @CVS_COMMAND@ -d ${CVSROOT} login #echo "cmake" | @CVS_COMMAND@ -d ${CVSROOT} login
echo "Checkout the source for @CMAKE_VERSION@" echo "Checkout the source for @CMAKE_VERSION@"
cd ~/CMakeReleaseDirectory cd ~/CMakeReleaseDirectory
@CMAKE_CHECKOUT@ -d ${CMAKE_VERSION} CMake @CMAKE_CHECKOUT@ -d ${CMAKE_VERSION} CMake
check_exit_value $? "Checkout cmake source" || exit 1 check_exit_value $? "Checkout cmake source" || exit 1
cd ~/CMakeReleaseDirectory/@CMAKE_VERSION@-build cd ~/CMakeReleaseDirectory/@CMAKE_VERSION@-build
echo "Run cmake bootstrap --parallel=@PROCESSORS@" echo "Run cmake bootstrap --parallel=@PROCESSORS@"
../${CMAKE_VERSION}/bootstrap --parallel=@PROCESSORS@ ../${CMAKE_VERSION}/bootstrap --parallel=@PROCESSORS@
check_exit_value $? "Bootstrap cmake" || exit 1 check_exit_value $? "Bootstrap cmake" || exit 1
echo "Build cmake with ${MAKE}" echo "Build cmake with ${MAKE}"
@MAKE@ @MAKE@
check_exit_value $? "Build cmake" || exit 1 check_exit_value $? "Build cmake" || exit 1
echo "Run cmake tests" echo "Run cmake tests"
@MAKE@ test @MAKE@ test
check_exit_value $? "Test cmake" || exit 1 check_exit_value $? "Test cmake" || exit 1
echo "Run package" echo "Run package"
@MAKE@ package @MAKE@ package
check_exit_value $? "Package cmake" || exit 1 check_exit_value $? "Package cmake" || exit 1
echo "Create Tar.gz" echo "Create Tar.gz"
./bin/cpack -G TGZ ./bin/cpack -G TGZ
check_exit_value $? "Create TGZ" || exit 1 check_exit_value $? "Create TGZ" || exit 1